Ask Your Question
0

install puppet 4.1 (newbie's question)

asked 2015-07-22 09:09:56 -0500

hiero_nymus gravatar image

Hi Team, I've installed puppet according to the doc therefore the actual version is : 3.8.1 Now, I need to install not the latest but the 4.1 version but I don't find any doc about this... only:

sudo yum install puppetserver

Do I so the following ??:

puppet resource package puppetdb ensure=4.1 allow_virtual=true

Does anyone help me or just tell me where I find documentation? Thanks for your support and best regards, H

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2015-07-22 11:32:16 -0500

jzimmerman gravatar image

Puppet Collections was announced which should help clarify I think. This is what I'm using at the moment.

https://puppetlabs.com/blog/welcome-p...

The package for the java based Puppet Server is "puppet-server", at least for the rpm based packages. Using the Puppet Collections instructions will get you 4.x installed.

Be aware that "Puppet Collections 1" now has PuppetDB 3.0 which deprecates APIs older than v4 and changes the URL structure. So things like PuppetBoard and PuppetExplorer will stop working until they themselves get updated.

edit flag offensive delete link more
0

answered 2015-07-24 06:36:56 -0500

hiero_nymus gravatar image

Thank you for your answer!

So, I've installed puppetserver with puppetlabs but it is for me a little confusion because puppet 4.2 is puppet server 2.1.

Is puppet 4.2 ok or puppet 4.1 is more stabil?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-07-22 09:09:56 -0500

Seen: 97 times

Last updated: Jul 24 '15